str Struct Reference
str: Dynamically allocated string library.

`#include <str.h>`

## Data Fields

char * | s
unsigned | len
unsigned | size

## Detailed Description

The basic string structure.

Note
  Initialize to {0,0,0}.

## Field Documentation

## len

unsigned str::len

The length of the string data inside the above block. May be used directly by programs, but should not be assigned a non-zero value.

Referenced by dns_domain_todot_cat(), dns_qualify_rules(), envstr_unset(), fmt_multiv(), fnmatch(), path_match(), str_case_end(), str_case_endb(), str_case_match(), str_case_start(), str_case_startb(), str_cat(), str_cmp(), str_cmpb(), str_copy(), str_diff(), str_diffb(), str_end(), str_endb(), str_join(), str_match(), str_sort(), str_start(), str_startb(), striter_advance(), and striter_valid().

## s

char* str::s

The pointer to the allocated data. This string will always be terminated with a `NUL` byte to ensure compatibility with standard C string functions. May be used directly by programs, but should not be assigned.

Referenced by dns_domain_todot_cat(), dns_qualify_rules(), envstr_put(), envstr_set(), envstr_unset(), fmt_multiv(), fnmatch(), path_mktemp(), str_case_end(), str_case_endb(), str_case_match(), str_case_start(), str_case_startb(), str_cat(), str_cmp(), str_cmpb(), str_copy(), str_diff(), str_diffb(), str_end(), str_endb(), str_join(), str_match(), str_sort(), str_start(), str_startb(), and striter_advance().

## size

unsigned str::size

The size of the above block.

Referenced by fnmatch().

The documentation for this struct was generated from the following file:

- str.h